Chelabase
ManagementMerges

List a database's merges

GET
/v1/databases/{id}/merges

History and open merges, newest first, without their analysis and plan (read one with getMerge).

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid

Query Parameters

branch?string

Only the merges where this branch is the source or the target

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/merges"
[  {    "created_at": "2019-08-24T14:15:22Z",    "created_by": "string",    "database": "string",    "direction": "into_parent",    "error": "string",    "failed_phase": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "rebaselined": true,    "source_branch_id": "345f76de-8f9d-4a8f-b08e-a28a3db17483",    "status": "computing",    "target_branch_id": "2a8880d3-8c08-4fef-81e0-ec9d6c6def29",    "updated_at": "2019-08-24T14:15:22Z",    "version": 0  }]